Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime.model
Class URLModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.URLModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

public class URLModel
extends PluginModelObject

An object which represents a named URL in a component or configuration manifest.

This class may be instantiated and further subclassed.

Constructor Summary
`URLModel()` Deprecated.

Method Summary
`String` | `getURL()` Deprecated. Returns the URL specification.
`void` | `setURL(String value)` Deprecated. Sets the URL specification.

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, markReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLModel

    public URLModel()

  Deprecated.

Method Detail

### getURL

    public String getURL()

  Deprecated.
  Returns the URL specification.

  Returns:
    the URL specification or `null`.

### setURL

    public void setURL(String value)

  Deprecated.
  Sets the URL specification. This object must not be read-only.

  Parameters:
    `value` - the URL specification. May be `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.